# Makefile for encrypt
# February, 1998

CC= gcc
CFLAGS=	-O3 -g -Wall -D$(LIBC)
CLIBS= -L/usr/X11/lib -L/usr/local/ssl/lib -lgtk -lgdk -lglib -lXext -lX11 -lm -lcrypt -lcrypto

# choose a libc

#LIBC=	LIBC_5
LIBC=	GLIBC_2

all: encrypt

encrypt:	main.o encrypt.o help.o pref.o edit.o config.o sign.o progress.o
		$(CC) $(CFLAGS) -o encrypt main.o encrypt.o help.o pref.o edit.o config.o sign.o progress.o $(CLIBS)

.c:		main.c encrypt.c help.c pref.c edit.c config.c sign.c progress.c
		$(CC) $(CFLAGS) -c .o

install:
		cp encrypt /usr/local/bin

clean:
	rm -f *.o core encrypt encrypt.tar.gz

zipitup:
	tar cvf encrypt.tar encrypt.c e.au Makefile COPYING README TODO \
	help.c pref.c edit.c config.c .encrc main.c encrypt.h sign.c main.h \
	progress.c \
	pix/lock.xpm pix/unlock.xpm pix/net.xpm pix/edit.xpm pix/pkenc.xpm \
	pix/sign.xpm pix/pref.xpm pix/exit.xpm pix/recycle.xpm pix/egg.xpm \
	pix/radio.xpm pix/openf.xpm pix/closedf.xpm pix/icon.xbm
	gzip encrypt.tar

# End
